<?php
require 'config.php';
require '2017-05-12-from-parabola-to-arch.cfg.php';
require 'templates/blog-header.php';
?>
<p>I have recently switched from <a href="https://www.parabola.nu/" target="_blank" >Parabola</a> to <a href="https://www.archlinux.org/" target="_blank" >Arch</a>. First of all, I would like to mention that this is not because I want to use any non-free software in the Arch repos or install non-free firmware and drivers for some pieces of hardware I may have (I am still using Linux-libre on Arch), but rather for other reasons that I would like to explain.</p>

<p>Firstly, the number one reason I am leaving Parabola is that the distro gets in my way too often. Mostly with its policy that anything that 'promotes non-free software' is non-free. I am an adult who knows every well what non-free software is, I can easily not install something that I see is non-free (namely for `pacaur', which would be so useful if only it were available on Parabola). This kind of blocking of any software that 'promotes non-free software' is useful for distros such as <a href="https://trisquel.info/" target="_blank" >Trisquel</a>, which are aimed at people who could hardly be described as tech-savvy, since these kinds of people do not necessarily know how to distinguish between free and non-free software (it's simply not something that's part of their daily lives). However, for experienced hackers like myself, this just gets in our way of quickly getting access to tools we want to use. It's nice when our OS doesn't constantly get in our way for these kinds of things. This is, in fact, the exact reason why I use Free Software to begin with and why I like GNU/Linux. I used to use Mac many many years ago, however I had almost no ability to make the computer do what I wanted it to, Apple products constantly worked against me and whatever I wanted to do with them, and I dislike that I am feeling this again with a GNU/Linux distro. Therefore, I would suggest that if you're an experienced hacker and get stressed when <b>your</b> OS gets in the way, don't use a <a href="https://www.gnu.org/distros/free-distros.html" target="_blank" >free distro</a>, they're aimed for newbs who are new to the idea of Free Software, not you.</p>

<p>Secondly, with all the respect in the world to the members of the Parabola community (they are very nice people, friendly, and helpful), the community itself is impossible to deal with. This issue does not involve me directly, despite how much I have been involved in it, but the Parabola community over the past few months has been aggravating me and others by placing packages on the `your-freedom' blacklist (such as `qt5-webengine') with <b>no proof</b>. It started out as an issue with Chromium, claiming that Chromium was somehow non-free (apart from their 'promotes non-free software' thing). At first this wasn't bad, it was just one package, one small thing that affected no one in the Parabola community as far as we knew, but then there was a small bit of publicity on the Qt5WebEngine website that caused a small contained issue into a huge mess. Qt5WebEngine claimed it included "the entire Chromium framework", which, from the eyes of people who think Chromium is non-free, meant Qt5WebEngine is as well. So very quickly `qt5-webengine' (a package very much needed by a <b>ton</b> of applications) got put on the blacklist. This issue was a few months ago... yet no evidence has been proposed that hasn't been shot down almost immediately for being either false, fixed, or simply outdated. And despite all evidence getting shot down, things continued in the direction where the Parabola community was questioning about forking Chromium and something else about Qt5WebEngine. In any case, they have ignored our criticism of them having a lack of (or rather, absolutely no) evidence and decided to continue to decide on a sentence for a suspect that has not yet been convicted. You can read more about the whole thing <a href="https://lists.parabola.nu/pipermail/dev/2017-May/005343.html" target="_blank" >on the Parabola Dev mailing lists</a>.</p>

<p>After this, I thought that I may be constructive in my criticism and create a means by which these situations could be avoided and things could actually get done. So I created a <a href="https://lists.parabola.nu/pipermail/dev/2017-April/005005.html" target="_blank" >Quarantine Policy Proposal</a>, and gladly welcomed anyone to edit it and give suggestions... except it was mostly ignored, the etherpad received practically no edits, and people continued to decide on the sentence of Qt5WebEngine. I have received quite a few compliments for the idea amongst those in the Parabola community, and although I'm glad they appreciate it, what I really want is for the thing to be implemented already, or at least something like it so that these kinds of issues don't continue to occur (and the current issue doesn't persist).</p>

<p>With this I say that I will most likely never return to Parabola, even if the Quarantine Policy is implemented, for the reasons I mentioned first in this post. However I would still suggest that the Parabola community start to pull itself together and stop trying to shy away from having actual protocols. Debian is one of the largest community-oriented projects that is not controlled by a corporation in the background, and they have a ton of protocols and policies. If the Parabola community wishes to efficiently handle the challenges that await them in the future, it's time for them to start organizing themselves instead of leaving things as chaotic as they are.</p>


<?php
require 'templates/blog-footer.php';
?>