<?php
require 'config.php';
require '2017-11-08-user-friendliness-and-modern-tech.cfg.php';
require 'templates/blog-header.php';
?>
<p>I have to admit that I'm probably not the best example of what is considered <i>user-friendly</i> (since I use i3 with terminals everywhere, CLI versions of a bunch of applications, etc.), however I do know what is considered <i>user-friendly</i>, primarily because I am a techie in a family of a lot of non-techie people (basically I'm my family's tech support). From this I've found that a lot of the things that we believe are <i>user-friendly</i> are actually just new and popular but nobody actually knows how to use them (hence they tend to be misused and people get frustrated when things go wrong).</p>

<p>In this sense, the worst technology in existence is <i>The Cloud</i>. A technology which does not actually simplify a lot of people's lives, especially that of the elderly (those who I have to help the most often with their tech problems). There is a general rule, not only in technology, but in any kind of form of organization of data/tasks which states that the more complex the system the higher risk of failure (of things going wrong). Well, <i>The Cloud</i> is one of the most complex systems out there. Instead of people putting their files on external devices which have very little risk of failure, they are storing it on another computer, routing the information through several computers in order to get there. Hence I usually have to deal with network errors or <i>The Cloud</i> not working the way it should be. In this sense, the most <i>user-friendly</i> solution is actually for people to store information on external drives and then send it over to each other via e-mails or via some sharing service, but its primary storage should not be in <i>The Cloud</i>, but on this external device.</p>

<p>Another thing, I don't care what anyone says, Mac and Windows are <b>not</b> <i>user-friendly</i> (sometimes for different reasons). First, let's start with a Windows-only issue: it just doesn't work. Windows crashes, it's buggy, you have to constantly reinstall drivers, it gives you errors for the stupidest of things. This is not user-friendly. Secondly, both of these operating systems are completely unstable in terms of their interfaces. Somehow, these companies (Apple and Microsoft) believe that by updating the interface (and forcing everyone to find everything again) that this somehow means the OS is modern and new. All it means is I have to spend another 10 minutes finding a button that they moved from point X to point Y for my grandparents. This lack of stability may seem harmless, but it's annoying and unproductive. For this, the solution is simple: install a GNU/Linux distribution (like <a href="https://www.debian.org/releases/stable/" target="_blank" >Debian Stable</a> or <a href="https://wiki.ubuntu.com/Releases" target="_blank" >Ubuntu LTS</a>) with a generally stable and non-changing interface, such as <a href="https://mate-desktop.org/" target="_blank" >MATE</a>, <a href="https://xfce.org/" target="_blank" >Xfce</a>, or <a href="https://cinnamon-spices.linuxmint.com/" target="_blank" >Cinnamon</a>, anything that doesn't constantly change interfaces to prove that it's new and flashy.</p>

<p>I'm saying this because it's sad that every time I go on break and return to my home, my family has new issues with their software failing because the developers changed something stupid or they made it way more complicated than it needs to be. It's fine for people who like changes, but don't tell me that it's <i>user-friendly</i> and then get everyone to buy it as if it were so.</p>


<?php
require 'templates/blog-footer.php';
?>