<?php
require 'config.php';
require '2020-05-08-the-advantages-of-e-mail.cfg.php';
require 'templates/blog-header.php';
?>
<p>I'm not sure if I've touched upon this subject before, but e-mail is
perhaps my favorite means of communication, especially for in-depth
discussions. Despite the surge in modern instant-messaging, and the
continued reliability of snail-mail, I find e-mail to be the perfect
middle-ground that suites my needs.</p>

<p>To start, comparing e-mail to snail-mail, we see that e-mail is...
well, faster and more flexible. Sure, it's not nearly as personal as a
hand-written letter, but it's nearly instant and much more appropriate
for anything technology related - which seems to be most of what I or
any other person does nowadays, mostly by sending links. What's more,
it's also cheaper since you probably already have an internet
connection - otherwise I'd wonder how you're reading this post.</p>

<p>But of course, nobody is really comparing e-mail to snail-mail
anymore, but rather to the new means of instant-messaging. However, even
in this regard I see several advantages to e-mail.</p>

<p>First and foremost, e-mail is a universal protocol. For those that
may not understand what this means, notice how anyone with any e-mail
service provider or any e-mail client can send an e-mail to another
person and it arrives (mostly) the same. This is because the protocol
used to send, receive, and format e-mails is standard and universal.
Every e-mail client and provider has to follow that standard. They can
add new features, but they must all support the same basic
functionality. Compare this to instant-messaging programs where there
are thousands of them, and most of them use their own protocols, which
they don't even make public so others can develop applications to
connect to their network. Instead, we're all forced to install several
of these applications, and none of them function exactly the way we'd
want them to. There have been efforts to create such a standard for
instant-messaging, but overall it has failed. The best attempt at this
is the
<a href="https://en.wikipedia.org/wiki/Internet_Relay_Chat"
   target="_blank">IRC protocol</a>.</p>

<p>Secondly, e-mail is made for larger messages. As you may have
noticed, I like writing very long blocks of text. Especially when I am
discussing a very complex subject. Not only that, but generally my ideas
aren't very well organized, nor are they linear, so being able to type
out an e-mail and go over it, edit, amend, etc. helps me to make a more
coherent message. Also, because of the nature of e-mail, I'm less likely
to get interrupted in the middle of writing a response.</p>

<p>Thirdly, it's easier to write more complex responses to an e-mail
that touches upon various subjects. This can be done through
<a href="https://en.wikipedia.org/wiki/Posting_style#Interleaved_style"
   target="_blank" >in-line responses</a>,
and having
<a href="https://en.wikipedia.org/wiki/Conversation_threading"
   target="_blank" >multiple threads to the same conversation</a>. This
helps keep the conversation itself organized. Of course, not all clients
support threading or make in-line responses easier, but there are those
(good) clients that do.</p>

<p>Fourthly, in e-mail everything is pure text. From the header
information, to the body of the e-mail, to the signature at the end,
everything is done in pure text that you can read and edit (if your
e-mail client allows you to). Sure, someone may choose to have their
e-mail client write the e-mail in HTML - please don't do this, it's
cancer, you should almost never need to do this - but even HTML is just
markup text that can be (semi) readable.</p>

<p>Finally, e-mail is stable. Something that annoys me with a lot of
instant-messaging programs is that they're always changing things, and
since I'm forced to use their clients, I'm forced to accept their
changes. With e-mail I use the
<a href="http://www.mutt.org/" target="_blank" >mutt e-mail client</a>,
and that never changes. They may add support for some new things, but
overall it's always the same.</p>


<?php
require 'templates/blog-footer.php';
?>