<?php
require 'config.php';
require '2021-06-17-the-extraordinary-form-revisted.cfg.php';
require 'templates/blog-header.php';
?>
<p>In my previous post on the Traditional Latin
Mass<sup><a href="#r1" >[1]</a></sup> much of my intention was
apologetic, and fueled by an indignation at seeing how this form of
celebrating the Divine Liturgy was (and still is) treated almost like a
second-class celebration. It is true that many of those who assist can
be very off-putting in their views, but this is no reason to dismiss
such a beautiful and reverent celebration, much less treat it as
inferior. However, unfortunately I got defensive and responded in kind,
disparaging the Ordinary Form, resentful of the differences of how it is
celebrated, and always tried finding (seemingly) objective reasons as to
why the Ordinary Form was inferior, not realizing that what's important
about the Mass, regardless of how it is celebrated, is that it brings
people closer to Jesus Christ, and different people find this easier
through different forms. And although I would like for the Extraordinary
Form to be respected in this manner, I must be the first to respect the
Ordinary Form in this manner.</p>

<p>This is not to say that I have changed my mind that the Extraordinary
Form, when done well, is still objectively more reverent than the
Ordinary Form. I also believe it is an objective fact that you are more
likely to find liturgical abuse and even grave heresy in parishes that
celebrate the Ordinary Form. But we shouldn't judge by its worst
elements, we should simply correct them. After all, are there not all
kinds of people who attend the Extraordinary Form who seem to slide
closer every day to schism? It's important that we learn not to throw
out the baby with the bath water. If there are heretical, schismatic, or
abusive elements within any community of Christ's Church, the Christian
thing to do isn't to push them away, but to fraternally correct them and
bring them closer to Christ.</p>

<p>Therefore, I would like to revisit my true reasons for appreciating
the Traditional Latin Mass. They are subjective, they may not apply to
everyone, but it is what brings me peace, and what feeds my faith and
love for our Lord. My reasons are twofold: that it is different from the
world, and that it does not change. These two reasons, are ultimately
intertwined.</p>

<p>If you assist a Tridentine Mass, the main thing you'll notice is that
it has nothing to do with the world outside. It breaks completely with
the culture of the world. Mass is said in a dead language (Latin), there
are many parts (most notably the Consecration) which are said in a low
voice, so the congregation hears nothing but silence (and the ringing of
bells), it's filled with all these gestures, symbols, and movements,
etc. All this adds an element of mysticism to the Mass, which greatly
helps me in contemplating the supernatural aspect of the Mass, which
just isn't the same for me if the Mass looks and sounds the same as
everything else out in the world, in my daily life. The Traditional
Latin Mass truly gives me the feeling that I am partaking in something
that is not of this world, that Heaven is truly touching down upon the
Earth in that very moment.</p>

<p>Perhaps the reason why the Extraordinary Form is so mystical and
distinct from the world is because it has remained mostly the same for
400 years, having been established first by Pope Saint Pius V in 1570.
It doesn't change, it doesn't adapt to modern trends, it doesn't try to
be hip and cool. It simply is what it is, and remains constant. The
peace I get from this is that, while the entire world around me is
changing, revolutionizing, or even at times falling apart, I always have
this one place where I know nothing will ever change. I can find Christ
there, who is "the same yesterday, and today, and forever." (Heb. 13:8)
While in the Ordinary Form the celebration of the Mass changes, not only
from country to country, not only from city to city, not only from
parish to parish, but even simply from priest to priest; the
Extraordinary Form of the Mass I can be assured that it will be
celebrated exactly the same, no matter where in the world I may attend
it. The only thing that will change is the language of the readings and
the homily.</p>

<p>As I've mentioned before, these are completely subjective criteria.
You don't have to be convinced of it, as I'm not trying to convince you.
But what I am trying to communicate is that the Extraordinary Form can
truly bring people to Christ Jesus, and has. It can truly help some
people to grow in love and charity. I regret having fostered such a
disdain for the Ordinary Form in the past, and I pray that one day those
of us with strong devotions to either form can learn to respect each
other, and not disparage that which brings each of us closer to God, but
instead be united as the One Holy Catholic Apostolic Church with Christ
Jesus as our Head. I pray that those of us with devotion to the
Extraordinary Form can learn to respect and see the fruits of the
developments of the Ordinary Form; and I pray that those of the Ordinary
Form can learn to respect and see the peace which the Extraordinary
Form can give. May God help us to be united as brothers, and celebrate
these differences, instead of quarrelling and forming disunity in
Christ's Church.</p>

<ol class="refs" >
	<li id="r1" >
		<a href="2020-07-18-why-the-traditional-latin-mass.html" >
			"Why the Traditional Latin Mass" Blog Post
		</a>
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>